Get Delivery Block

Get the details of a delivery block by delivery block Id.

Response (Output) Params

Parameter

Description

*success**
boolean

Indicates whether the service completed successfully.

  • false* - the service failed.
  • true* - the service succeeded

*message**
string

If an error occurred, a message indicating the error is included.

*rc**
integer

If an error occurred, the return code is included.

*break_end_time**
datetime

The ending date and time of the break in this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".

*break_start_time**
datetime

The starting date and time of the break in this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".

*capacity**
integer

The number of drivers assigned to this delivery block.

*description**
string

The description of this delivery block.

*delivery_block_breaks**
array of objects

An array of Delivery Blocks Breaks objects, where each object contains a delivery block breaks object.

*delivery_block_recharges**
array of objects

An array of Delivery Blocks Recharge objects, where each object contains a delivery block recharge object.

*delivery_block_resources**
array of objects

An array of Delivery Blocks Resources objects, where each object contains a delivery block resources object.

*delivery_block_schedule_id**
integer

*end_time**
datetime

The ending date and time of this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".

*ical**
string

The recurring rule for the delivery blocks.

*id**
integer

The Bringg ID for the delivery block.

*name**
string

The name of this delivery block.

*original_capacity**
integer

The number of drivers that should be working in this delivery block.

*resources_capacity**
integer

The number of resource (vehicles and/or drivers) that are currently assigned to this individual delivery block.

*start_time**
datetime

The starting date and time of this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".

*team_id**
integer

The Bringg ID of the team to which to this delivery block is assigned.

*user_ids**
array

An array containing the IDs of the drivers assigned to this delivery block.

*users**
array

An array of objects containing the ID, name, and email of the drivers assigned to this delivery block.

Query Params
int32
required

The ID of the delivery block whose details are required.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json